GENDER, PLURAL, parameters issues
Open, NormalPublic

Nemo_bis created this task.Aug 31 2015, 9:42 PM
Nemo_bis updated the task description. (Show Details)
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis added projects: ArticleFeedbackv5, I18n.
Nemo_bis added subscribers: Nemo_bis, Purodha.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2015, 9:42 PM
Liuxinyu970226 set Security to None.Sep 6 2015, 4:10 AM
Aklapper closed this task as Declined.Sep 13 2015, 9:02 PM
Aklapper claimed this task.

All development work on AbuseFilter version 5 (and indeed, previous versions) is halted. The project is archived, so having open tasks is inappropriate. Consequently closing all tasks.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptSep 13 2015, 9:02 PM
Nemo_bis reopened this task as Open.Sep 17 2015, 6:33 AM
Nemo_bis added a subscriber: ashley.

The issue persists for translators, hence this can't be closed for now.

@ashley, IIRC you edited the AFTv5 extension page recently. Are you or other interested in receiving localisation updates? If so, we need to fix i18n issues.

@Nemo_bis Indeed; AFTv5 is still being used on Brickipedia and to the best extent of my knowledge, we aren't considering undeploying it anytime soon (and IMO there shouldn't be any reason to do that, either).

That being said, AFTv5 is like any other software -- not perfect. I think it's in everyone's best interests to try to get these (and other) issues fixed. If no-one else is planning on working on this ticket, I suppose I'll look into it, but I can't give you any kind of an ETA right now.

On a related note, the messages mentioned in this ticket are most definitely not the only problematic ones -- a default installation of AFTv5 has 14 (!) messages which point to en.wikipedia.org. Since the majority, if not all, of those are used in JS, just lazily swapping those messages to use {{fullurl:}} or something isn't an option, sadly. Maybe we'll need to totally refactor those parts of the codebase and make use of mw.util.getUrl or somesuch...

Aklapper removed Aklapper as the assignee of this task.Sep 22 2015, 5:08 PM

Thanks; I reopened T41578 which covers that issue.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 8 2015, 8:00 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 18 2016, 6:46 PM
Krinkle triaged this task as Normal priority.Sep 28 2017, 9:51 PM